using System;

namespace LeerDato
{
  public class Leer
  {
    public static bool DatoInt(ref int dato)
    {
      string sdato = null; // una cadena de caracteres
      try
      {
        sdato = Console.ReadLine(); // leer la cadena
        dato = Int32.Parse(sdato); // convertir a int
        return true;
      }
      catch (FormatException e)
      {
        return false;
      }
    }
    
    public static bool DatoDouble(ref double dato)
    {
      string sdato = null; // una cadena de caracteres
      try
      {
        sdato = Console.ReadLine(); // leer la cadena
        dato = Double.Parse(sdato); // convertir a double
        return true;
      }
      catch (FormatException e)
      {
        return false;
      }
    }
  }
}
